Bug 810222 - Revert "[virt] xen: mask MTRR feature from guest BZ#750758"
Revert "[virt] xen: mask MTRR feature from guest BZ#750758"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Andrew Jones
Virtualization Bugs
xen
:
Depends On:
Blocks: 653816
  Show dependency treegraph
 
Reported: 2012-04-05 08:11 EDT by Andrew Jones
Modified: 2012-06-20 04:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.32-262.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:45:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Jones 2012-04-05 08:11:48 EDT
In order to support kdump for xen hvm guests we need to revert

commit c16ccd2dba7492cee6cfe4b80f4c49746fe85c96
Author: Igor Mammedov <imammedo@redhat.com>
Date:   Thu Dec 1 17:11:00 2011 -0500

    [virt] xen: mask MTRR feature from guest BZ#750758

It's still not clear why this patch impacts kdump, but as it's a lower priority patch to the support of kdump we'll revert it now and figure out how to bring it back during 6.4 development. In essence we're deferring bug 750758 to 6.4, even though it's already been done. This bug will be used for the 6.3 reversion patch. Bug 810221 will be used to bring it back for 6.4.
Comment 1 Aristeu Rozanski 2012-04-11 14:01:54 EDT
Patch(es) available on kernel-2.6.32-262.el6
Comment 4 Qixiang Wan 2012-05-03 01:57:47 EDT
Verified with kernel-2.6.32-269.el6. With this build, kdump service can start
successfully and works well in xen HVM guest.

The latest build contains the following fixes:
Bug 810222 - Revert "[virt] xen: mask MTRR feature from guest BZ#750758" (fix
in -262)
Bug 811815 - [FJ6.2 Bug]: kdump service fails with the message "Kdump is
unsupported on this kernel" (fix in -266)
Bug 815785 - kdump fails with lapic error in xen hvm guest (fix in -269).

With all of the above three fixes integrated, kdump in RHEL6.3 xen hvm guest
works well now. So verify these 3 bugs together.

Test steps:

[1] Add the kernel command line parameter xen_emul_unplug=never to the kernel's
command line and boot.
[2] Start the kdump service.
[3] Blacklist the drivers used for xen emulated device by adding the following
tree lines to /etc/modprobe.d/blacklist.conf:

blacklist ata_piix
blacklist 8139too
blacklist 8139cp

[4] Remove the xen_emul_unplug=never kernel command line parameter added in
step 1 and add the kernel command line xen_emul_unplug=unnecessary, then
reboot.
[5] Ensure that the kdump service has started.
[6] Run echo c >/proc/sysrq-trigger to force a crash that should invoke kdump
Comment 5 Eva Kopalova 2012-06-18 09:05:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation needed.
Comment 7 errata-xmlrpc 2012-06-20 04:45:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.